"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Node = void 0;
const Node = ({ createContentDigest, createNodeId, }) => (page) => {
    const nodeData = {
        ...page,
        // TODO: This `as const` can be removed in TS 4.3
        url: `https://scrapbox.io/api/${encodeURIComponent(page.title)}`,
    };
    const nodeContent = JSON.stringify(nodeData);
    const nodeMeta = {
        id: createNodeId(`scrapbox-page-${nodeData.id}`),
        parent: null,
        children: [],
        internal: {
            type: `ScrapboxPage`,
            mediaType: `text/plain`,
            content: nodeContent,
            contentDigest: createContentDigest(nodeData),
        },
    };
    const node = Object.assign({}, nodeData, nodeMeta);
    return node;
};
exports.Node = Node;
