"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const io_ts_1 = require("io-ts");
const User = io_ts_1.readonly(io_ts_1.type({ id: io_ts_1.string }, "mutableUser"), "User");
const Page = io_ts_1.readonly(io_ts_1.type({
    accessed: io_ts_1.number,
    commitId: io_ts_1.string,
    created: io_ts_1.number,
    descriptions: io_ts_1.readonlyArray(io_ts_1.string),
    id: io_ts_1.string,
    image: io_ts_1.union([io_ts_1.string, io_ts_1.nullType]),
    linked: io_ts_1.number,
    pageRank: io_ts_1.number,
    pin: io_ts_1.number,
    snapshotCreated: io_ts_1.union([io_ts_1.number, io_ts_1.nullType]),
    title: io_ts_1.string,
    updated: io_ts_1.number,
    user: User,
    views: io_ts_1.number,
}, "mutablePage"), "Page");
const PagesResponse = io_ts_1.readonly(io_ts_1.type({
    count: io_ts_1.number,
    limit: io_ts_1.number,
    pages: io_ts_1.readonlyArray(Page),
    projectName: io_ts_1.string,
    skip: io_ts_1.number,
}, "mutablePagesResponse"), "PagesResponse");
